Policies
Get policy by ID
Gets a policy by ID. Policy IDs can be found in Vanta in URL bar after /policies/.
GET
/
policies
/
{policyId}
Get policy by ID
curl --request GET \
--url https://api.vanta.com/v1/policies/{policyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vanta.com/v1/policies/{policyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vanta.com/v1/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "code-of-conduct-bsi",
"name": "Code of Conduct",
"description": "Develops and maintains a standard of conduct that is acceptable to the company and its employees, customers, and vendors.",
"status": "OK",
"approvedAtDate": "2024-01-15T10:30:00.000Z",
"latestVersion": {
"status": "APPROVED"
},
"latestApprovedVersion": {
"versionId": "65f1a8b2c3d4e5f60718293a",
"documents": [
{
"language": "EN",
"slugId": "a1b2c3d4e5f6g7h8i9j0k1l2",
"url": "https://app.vanta.com/c/my-domain/doc/Policy-a1b2c3d4e5f6g7h8i9j0k1l2"
}
]
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
200 - application/json
Ok
The policy's unique ID.
The policy's name.
The policy's description.
The policy's current status.
Available options:
OK, NEEDS_REMEDIATION The policy's most recent date of approval, if applicable.
The latest version of the policy.
Show child attributes
Show child attributes
The latest approved version of the policy, if available.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Get policy by ID
